debugfs_create_x8
Prev | debugfs interface | Next

## Name

debugfs_create_x8 — create a debugfs file that is used to read and write an unsigned 8-bit value

## Synopsis

`struct dentry * debugfs_create_x8 (` | const char * | name,
| mode_t | mode,
| struct dentry * | parent,
| u8 * | value`)`;

## Arguments

`name`

  a pointer to a string containing the name of the file to create.

`mode`

  the permission that the file should have

`parent`

  a pointer to the parent dentry for this file. This should be a directory dentry if set. If this parameter is `NULL`, then the file will be created in the root of the debugfs filesystem.

`value`

  a pointer to the variable that the file should read to and write from.

Prev | Up | Next
debugfs_create_u64 | Home | debugfs_create_x16